Subject: Re: [payload] Significant Differences Between draft-ietf-payload-rtp-ancillary-08 and -09

From: Thomas Edwards <[email-masked]>
Date: Fri, 2 Jun 2017 05:39:01 +0000

“Network byte order” is still a handy way to identify the data transmission order specified in several parts of the document.

How about:

“The term "network byte order" in the payload format SHALL refer to the Data Transmission Order as defined in Appendix B of RFC 791.”

-Thomas

--
Thomas Edwards
VP Engineering & Development
FOX Networks Engineering and Operations
[email-masked]
Phone: +1.310.369.6696
10201 West Pico Blvd.
Los Angeles, CA 90035

From: John Fletcher <[email-masked]>
Date: Monday, May 15, 2017 at 9:02 AM
To: Thomas Edwards <[email-masked]>, "[email-masked]" <[email-masked]>
Subject: RE: Significant Differences Between draft-ietf-payload-rtp-ancillary-08 and -09

Section 2 says "Use of the term "network byte order" in the payload format shall be as defined in RFC 791" but there is no definition of "network byte order" in RFC 791.
I suggest saying "The data transmission order SHALL be as defined in  RFC 791 Appenix B" and removing all references to "network byte order".

---

From: Thomas Edwards <[email-masked]>
Date: Fri, 2 Jun 2017 05:45:58 +0000

Sub-image is a very specific term in some multi-stream interfaces.

I believe the proper thing to say is:

“In multi-stream interfaces, this field refers to the line number that an ANC packet is carried on within a particular data stream in the interface.”

-Thomas

Section 2.1, "Line_Number" gives specifications for SD and HD but not for UHD.  We need to say whether it is line number in UHD image or line number in the sub-image of the interface mapping.

---

From: Thomas Edwards <[email-masked]>
Date: Fri, 2 Jun 2017 06:12:51 +0000

For “Required Parameters” and “Optional Parameters”, we are obliged to follow the Registration Template of RFC 6838.

-Thomas

"Required parameters"

---

From: John Fletcher <[email-masked]>
Date: Fri, 2 Jun 2017 14:58:26 +0000

That would be fine by me.
John
________________________________
From: payload [[email-masked]] on behalf of Thomas Edwards [[email-masked]]
Sent: 02 June 2017 06:39
To: [email-masked]
Subject: Re: [payload] Significant Differences Between draft-ietf-payload-rtp-ancillary-08 and -09

How about:

-Thomas

---

From: John Fletcher <[email-masked]>
Date: Fri, 2 Jun 2017 15:00:33 +0000

OK, that is fine by me.
Sent: 02 June 2017 07:12

-Thomas

"Required parameters"